PostgreSQL 7.1.3 Documentation
Prev |  | Next

# ABORT

## Name

ABORT -- Aborts the current transaction

## Synopsis

    ABORT [ WORK | TRANSACTION ]

### Inputs

None.

### Outputs

`ROLLBACK`

  Message returned if successful.

`NOTICE: ROLLBACK: no transaction in progress`

  If there is not any transaction currently in progress.

## Description

ABORT rolls back the current transaction and causes all the updates made by the transaction to be discarded. This command is identical in behavior to the SQL92 command ROLLBACK, and is present only for historical reasons.

### Notes

Use COMMIT to successfully terminate a transaction.

## Usage

To abort all changes:

    ABORT WORK;

## Compatibility

### SQL92

This command is a Postgres extension present for historical reasons. ROLLBACK is the SQL92 equivalent command.

Prev | Home | Next
SQL Commands | Up | ALTER GROUP